import * as ui from 'mojang-minecraft-ui'
import { world, EntityQueryOptions } from 'mojang-minecraft'
import { ActionFormData, ModalFormData } from 'mojang-minecraft-ui'


//Action/Modal Form Trigger
world.events.tick.subscribe(onPlayerDeath);
world.events.tick.subscribe(onPlayerDeath3);
world.events.tick.subscribe(onPlayerDeath2);
world.events.tick.subscribe(onPlayerDeath4);
world.events.tick.subscribe(pageRifles);
world.events.tick.subscribe(pageLD);
world.events.tick.subscribe(pageLaptop);
world.events.tick.subscribe(pageLD_not);
world.events.tick.subscribe(pageLD_active);
world.events.beforeChat.subscribe((ev) => {

    const player = ev.sender;
    const msg = ev.message;
    if (msg == "options") {
        ev.cancel = true
        player.runCommand("function 1_0")
    }
})

world.events.beforeItemUse.subscribe(eventData => {
    let player = eventData.source

    if (eventData.item.id == 'azoz:station') { //The item you trigger the form with
        pagePersonal(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }

    
    if (eventData.item.id == 'decoder:unique' && player.isSneaking) { //The item you trigger the form with
        pageDecoderUNIQUE(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }
    if (eventData.item.id == 'minecraft:compass' && player.hasTag("alert_perk")) { //The item you trigger the form with
        player.runCommand(
            'tag @a[r=100,tag=!alert_perk] add alert_pick'
          )  
          player.runCommand(
            'playsound random.levelup @s ~~~ 1 2'
          ) 
    }
    if (eventData.item.id == 'decoder:common' && player.isSneaking) { //The item you trigger the form with
        pageDecoderCommon(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }
    if (eventData.item.id == 'decoder:advanced' && player.isSneaking) { //The item you trigger the form with
        pageDecoderAdvanced(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }
    if (eventData.item.id == 'decoder:epic' && player.isSneaking) { //The item you trigger the form with
        pageDecoderEpic(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }
    if (eventData.item.id == 'decoder:rare' && player.isSneaking) { //The item you trigger the form with
        pageDecoderRare(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }
})
function onPlayerDeath() {
	let players = world.getPlayers();
	for(let player of players) {
		let isDeath = player.hasTag("golden_bingo");
		if(isDeath == true) {
            player.removeTag("golden_bingo");
            player.runCommand(`tellraw @s{"rawtext":[{"text": "§a+200 Mileage awarded"}]}`);
            player.runCommand(`tellraw @s{"rawtext":[{"text": "§b+10 Bingo Cards awarded"}]}`);
			player.runCommand(`tellraw @a{"rawtext":[{"text": "§c${player.nameTag} has just won the §eGolden Briefcase §4and is at: §l§4${Math.round(player.location.x)}, ${Math.round(player.location.y)}, ${Math.round(player.location.z)}"}]}`);
			player.runCommand(`tellraw @s{"rawtext":[{"text": "§7§oNow, hide!"}]}`);
		}
	}
}

class loreItem {
    constructor(itemId, lore) {
        this.itemId = itemId;
        this.lore = lore;
    }
}



const ItemArray = [
    new loreItem("gun:stg", ["§r§9Type: §8Rifle\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic\n\n§4§lIGNORE BELOW, ONLY FOR TESTING\n§r§7Maximum Number of Enhancements §f§l§o: §98§r\n\n§r§4DMG §f§l§o:§r 4 Maximum\n§r§2Accuracy §f§l§o:§r 3 Maximum\n§r§6Recoil §f§l§o:§r 5 Maximum\n§r§1Weight §f§l§o:§r 3 Maximum\n§r§8Rate of Fire §f§l§o:§r 2 Maximum\n§r§aAmmo §f§l§o:§r 1 Maximum"]),



    //Items
    new loreItem("azoz:adrenaline", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("cso:mileage_box_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("matt:jetpack_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("azoz:bat_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("enderface:zombie_cso_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("enderface:destroyer_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("enderface:grey_destroyer_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("agbullet:bump_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("loot:box_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("statue:portal_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §5Epic"]),
    new loreItem("statue:hellhound_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §eTranscendent"]),
    new loreItem("statue:portal2_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §5Epic"]),
    new loreItem("nogard:truck_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("cso:jiangshi_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("cso:jiangshi2_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("pet:ghost_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("azoz:zombie_cso_host_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("azoz:heal", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("statue:table_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §aAdvanced"]),
    new loreItem("matt:landmine_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §4Unique"]),
    new loreItem("agbullet:claymore2_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §4Unique"]),
    new loreItem("alex:water_element_spawn_egg", ["§r§9Type: §8Item\n§r§9Grade: §4Unique"]),
    new loreItem("azoz:jingy", ["§r§9Type: §8Item\n§r§9Grade: §bRare"]),
    new loreItem("azoz:defuse", ["§r§9Type: §8Item\n§r§9Grade: §7Common"]),
    new loreItem("azoz:grapplehook", ["§r§9Type: §8Item\n§r§9Grade: §aAdvanced"]),
     new loreItem("design:laptop", ["§r§9Type: §8Item\n§r§9Grade: §aAdvanced"]),
    new loreItem("azoz:adrenaline2", ["§r§9Type: §8Item\n§r§9Grade: §4Unique"]),
    new loreItem("azoz:station", ["§r§9Type: §8Item\n§r§9Grade: §4Unique"]),
    new loreItem("decoder:rare", [""]),
    new loreItem("decoder:advanced", [""]),
    new loreItem("decoder:common", [""]),
    new loreItem("decoder:epic", [""]),
    new loreItem("decoder:unique", [""]),
    new loreItem("decoder:event", ["§r§cThis item is introduced in this update. Give it a try!"]),
    new loreItem("contract:briefcase", [""]),
    new loreItem("contract:briefcase_gold", [""]),

    //Wearable
    new loreItem("azoz:vest", ["§r§9Type: §8Wearable\n§r§9Grade: §7Common"]),
    new loreItem("azoz:par", ["§r§9Type: §8Wearable\n§r§9Grade: §7Common"]),
    new loreItem("azoz:night", ["§r§9Type: §8Wearable\n§r§9Grade: §7Common"]),
    new loreItem("azoz:gas", ["§r§9Type: §8Wearable\n§r§9Grade: §7Common"]),
    new loreItem("azoz:shoes", ["§r§9Type: §8Wearable\n§r§9Grade: §7Common"]),
    new loreItem("azoz:mask", ["§r§9Type: §8Wearable\n§r§9Grade: §7Common"]),
    new loreItem("azoz:jiangshi_hat", ["§r§9Type: §8Wearable\n§r§9Grade: §7Common"]),

    //Classic
        new loreItem("gun:usps", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:ak47", ["§r§9Type: §8Rifle\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:aug", ["§r§9Type: §8Rifle\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:famas", ["§r§cThis weapon has been changed in this update. Give it a try!\n\n§r§9Type: §8Rifle\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:galil", ["§r§cThis weapon has been changed in this update. Give it a try!\n\n§r§9Type: §8Rifle\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:m4a1", ["§r§9Type: §8Rifle\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:m4a1s", ["§r§9Type: §8Rifle\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:sg552", ["§r§9Type: §8Rifle\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:mac", ["§r§9Type: §8SMG\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:mp5", ["§r§9Type: §8SMG\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:tmp", ["§r§9Type: §8SMG\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:p90", ["§r§9Type: §8SMG\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:ump45", ["§r§9Type: §8SMG\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:xm1014", ["§r§9Type: §8Shotgun\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:m3", ["§r§9Type: §8Shotgun\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:usp", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:p228", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:deagle", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:fiveseven", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:beretta", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:scout", ["§r§9Type: §8Sniper\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:g3sg1", ["§r§9Type: §8Sniper\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:awp", ["§r§9Type: §8Sniper\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("grenade:dao", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("grenade:decoy", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("melee:seal", ["§r§9Type: §8Melee\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("grenade:explosive", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("grenade:flashbang", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("grenade:smoke", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:glock", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("weapon:c4", ["§r§9Type: §8Equipment\n§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),


    //DLC
        new loreItem("token:dlc", ["§r§bYou need to download some §eDLCs§b to use this item! more information is on §aMCPEDL.com\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:ak47_old", ["§r§9Type: §8Rifle\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:ak12_old", ["§r§9Type: §8Rifle\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:ak74u_old", ["§r§9Type: §8Rifle\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:arx_old", ["§r§9Type: §8Rifle\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:scarh_old", ["§r§9Type: §8Rifle\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:scarl_old", ["§r§9Type: §8Rifle\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:glock_old", ["§r§9Type: §8Pistol\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:deagle_old", ["§r§9Type: §8Pistol\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:mp7_old", ["§r§9Type: §8SMG\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:p90_old", ["§r§9Type: §8SMG\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:bizon_old", ["§r§9Type: §8SMG\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:tempest_old", ["§r§9Type: §8SMG\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:acr", ["§r§9Type: §8Rifle\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:mk16", ["§r§9Type: §8Rifle\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:acrs", ["§r§9Type: §8Rifle\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:awm", ["§r§9Type: §8Sniper\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:lr300", ["§r§9Type: §8Rifle\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:evo", ["§r§9Type: §8SMG\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:skorpion", ["§r§9Type: §8SMG\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:k7", ["§r§9Type: §8SMG\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:ppsh", ["§r§9Type: §8SMG\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:scout_pistol", ["§r§9Type: §8Pistol\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:forceanature", ["§r§9Type: §8Shotgun\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:widowmaker", ["§r§9Type: §8Shotgun\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:desert_rifle", ["§r§9Type: §8Rifle\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:magnum_pistol", ["§r§9Type: §8Pistol\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:p220", ["§r§9Type: §8Pistol\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:silenced_smg", ["§r§9Type: §8SMG\n§r§9Restriction: §eDLC"]),
        new loreItem("azoz:pills", ["§r§9Type: §8Item\n§r§9Restriction: §eDLC"]),
        new loreItem("grenade:pipe_bomb", ["§r§9Type: §8Grenade\n§r§9Restriction: §eDLC"]),
        new loreItem("melee:nightstick", ["§r§9Type: §8Melee\n§r§9Restriction: §eDLC"]),
        new loreItem("melee:guitar", ["§r§9Type: §8Melee\n§r§9Restriction: §eDLC"]),
        new loreItem("melee:balisong_old", ["§r§9Type: §8Melee\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:ak47hq", ["§r§9Type: §8Rifle\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:ak60hq", ["§r§cThis weapon is introduced in this update. Give it a try!\n\n§r§9Type: §8Rifle\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:akmhq", ["§r§9Type: §8Rifle\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:ak47rhq", ["§r§9Type: §8Rifle\n§r§9Restriction: §eDLC"]),

    //New Classic
        new loreItem("melee:combat", ["§r§9Type: §8Melee\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:balisong", ["§r§9Type: §8Melee\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:karambit", ["§r§9Type: §8Melee\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:bat", ["§r§9Type: §8Melee\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:ursus", ["§r§9Type: §8Melee\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:brass", ["§r§9Type: §8Melee\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:dragon", ["§r§9Type: §8Melee\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:huntsman", ["§r§9Type: §8Melee\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:katana", ["§r§9Type: §8Melee\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:tactical", ["§r§9Type: §8Melee\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:kukri", ["§r§9Type: §8Melee\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:bowie", ["§r§9Type: §8Melee\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:m9", ["§r§9Type: §8Melee\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:nomad", ["§r§9Type: §8Melee\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:machete", ["§r§9Type: §8Melee\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:crowbar", ["§r§9Type: §8Melee\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:skeleton", ["§r§9Type: §8Melee\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("melee:tom", ["§r§9Type: §8Melee\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:ak47r", ["§r§9Type: §8Rifle\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:glockr", ["§r§9Type: §8Pistol\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:awpr", ["§r§9Type: §8Sniper\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:sl8g", ["§r§9Type: §8Sniper\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:sl8ex", ["§r§9Type: §8Sniper\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:scoutr", ["§r§9Type: §8Sniper\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:m200", ["§r§9Type: §8Sniper\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:sl8csogs", ["§r§9Type: §8Sniper\n§r§9Grade: §bRare\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:psg", ["§r§9Type: §8Sniper\n§r§9Grade: §bRare\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:powerfalcon", ["§r§9Type: §8Sniper\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:blaser", ["§r§9Type: §8Sniper\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:db", ["§r§9Type: §8Shotgun\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:m1897", ["§r§9Type: §8Shotgun\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:spas", ["§r§9Type: §8Shotgun\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:winchester", ["§r§9Type: §8Shotgun\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:striker", ["§r§9Type: §8Shotgun\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:xm1014r", ["§r§9Type: §8Shotgun\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:usas12", ["§r§9Type: §8Shotgun\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:k1a", ["§r§9Type: §8SMG\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:mp40", ["§r§9Type: §8SMG\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:bizon", ["§r§9Type: §8SMG\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:sr3m", ["§r§9Type: §8SMG\n§r§9Grade: §bRare\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:thompson", ["§r§9Type: §8SMG\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:uzi", ["§r§9Type: §8SMG\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:kriss", ["§r§9Type: §8SMG\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:kriss_dual", ["§r§9Type: §8SMG\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:krisss", ["§r§9Type: §8SMG\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:mp5b", ["§r§9Type: §8SMG\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:mp7a1", ["§r§9Type: §8SMG\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:mp7a1s", ["§r§9Type: §8SMG\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:scarpdw", ["§r§9Type: §8SMG\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:sb", ["§r§9Type: §8SMG\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:tempest", ["§r§9Type: §8SMG\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:jackhammer", ["§r§9Type: §8Shotgun\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:ksg", ["§r§9Type: §8Shotgun\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:ksgg", ["§r§9Type: §8Shotgun\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:trg", ["§r§9Type: §8Sniper\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:xm2010", ["§r§9Type: §8Sniper\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:sl8", ["§r§9Type: §8Sniper\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:mosin", ["§r§9Type: §8Sniper\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:svd", ["§r§9Type: §8Sniper\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:m95", ["§r§9Type: §8Sniper\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:m107", ["§r§9Type: §8Sniper\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
         new loreItem("gun:automag", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
         new loreItem("gun:anaconda", ["§r§9Type: §8Pistol\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
         new loreItem("gun:mg42", ["§r§9Type: §8Heavy\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:glockb", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:deaglecsogs", ["§r§9Type: §8Pistol\n§r§9Grade: §bRare\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:deagleg", ["§r§9Type: §8Pistol\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:deagler", ["§r§9Type: §8Pistol\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:maximg", ["§r§9Type: §8Pistol\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:kcg", ["§r§9Type: §8Pistol\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:m79", ["§r§9Type: §8Pistol\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:mauser", ["§r§9Type: §8Pistol\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:mk23s", ["§r§9Type: §8Pistol\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:mk23", ["§r§9Type: §8Pistol\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:p99", ["§r§9Type: §8Pistol\n§r§9Grade: §bRare\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:hecate", ["§r§9Type: §8Sniper\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:makarov", ["§r§9Type: §8Pistol\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:maxim", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:makarovs", ["§r§9Type: §8Pistol\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:m79g", ["§r§9Type: §8Pistol\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:luger", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:m1911", ["§r§9Type: §8Pistol\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:kc", ["§r§9Type: §8Pistol\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:uspb", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:uspbs", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:r8", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:infinity", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:xd", ["§r§9Type: §8Pistol\n§r§9Grade: §bRare\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:welrod", ["§r§9Type: §8Pistol\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:deaglebmg", ["§r§9Type: §8Pistol\n§r§9Restriction: §gDeveloper"]),
        new loreItem("gun:ak74u", ["§r§9Type: §8Rifle\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:akm", ["§r§9Type: §8Rifle\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:an94", ["§r§9Type: §8Rifle\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:arx", ["§r§9Type: §8Rifle\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:val", ["§r§9Type: §8Rifle\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:browning", ["§r§9Type: §8Rifle\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:f2000", ["§r§9Type: §8Rifle\n§r§9Grade: §4Unique\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:fnc", ["§r§9Type: §8Rifle\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:g11", ["§r§9Type: §8Rifle\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:g11b", ["§r§9Type: §8Rifle\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:garand", ["§r§9Type: §8Rifle\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:groza", ["§r§9Type: §8Rifle\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:hk416", ["§r§cThis weapon has been changed in this update. Give it a try!\n\n§r§9Type: §8Rifle\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:hk416s", ["§r§cThis weapon has been changed in this update. Give it a try!\n\n§r§9Type: §8Rifle\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:honeybadger", ["§r§9Type: §8Rifle\n§r§9Grade: §bRare\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:m14", ["§r§9Type: §8Rifle\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:m16a1", ["§r§9Type: §8Rifle\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:m16a4", ["§r§9Type: §8Rifle\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:ultimax", ["§r§9Type: §8Heavy\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:negev", ["§r§9Type: §8Heavy\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:mk18", ["§r§9Type: §8Rifle\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:scarh", ["§r§9Type: §8Rifle\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:scarl", ["§r§9Type: §8Rifle\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:tar", ["§r§9Type: §8Rifle\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:rpg", ["§r§9Type: §8Equipment\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("gun:mgl", ["§r§9Type: §8Equipment\n§r§9Grade: §aAdvanced\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("grenade:birthday", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]), 
        new loreItem("grenade:m67", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]), 
        new loreItem("grenade:firebomb", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]), 
        new loreItem("grenade:ghost", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]), 
        new loreItem("grenade:ice", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("grenade:love", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("grenade:m24", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("grenade:m24h", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("grenade:molotov", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("grenade:peace", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("grenade:pois", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("grenade:jackolantern", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("grenade:tear", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),
        new loreItem("grenade:water_balloon", ["§r§9Type: §8Grenade\n§r§9Grade: §7Common\n§r§9Restriction: §fNew §bClassic"]),

    //Nexon
    new loreItem("gun:ak60", ["§r§cThis weapon has been changed in this update. Give it a try!\n\n§r§9Type: §8Rifle\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("melee:skull_axe", ["§r§9Type: §8Melee\n§r§9Grade: §bRare\n§r§9Restriction: §cNexon"]),
    new loreItem("melee:taser", ["§r§9Type: §8Melee\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("melee:serpent", ["§r§9Type: §8Melee\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("melee:nata", ["§r§9Type: §8Melee\n§r§9Grade: §7Common\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:oicw", ["§r§9Type: §8Rifle\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:brecci", ["§r§9Type: §8Shotgun\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:ethereal", ["§r§9Type: §8Rifle\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:savery", ["§r§9Type: §8Sniper\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:stun", ["§r§9Type: §8Rifle\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:violin", ["§r§9Type: §8Rifle\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("melee:runebreaker", ["§r§9Type: §8Melee\n§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("melee:runebreaker2", ["§r§9Type: §8Melee\n§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:cannon", ["§r§9Type: §8Equipment\n§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("weapon:bunker_buster", ["§r§9Type: §8Equipment\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:cannon2", ["§r§9Type: §8Equipment\n§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:mglv", ["§r§9Type: §8Equipment\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("weapon:ripper2", ["§r§9Type: §8Equipment\n§r§9Grade: §5Epic\n§r§9Restriction: §cNexon"]),
    new loreItem("weapon:ripper", ["§r§9Type: §8Equipment\n§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:bat", ["§r§9Type: §8Grenade\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:electro", ["§r§9Type: §8Grenade\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:chain", ["§r§9Type: §8Grenade\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:tag", ["§r§9Type: §8Grenade\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:gravity", ["§r§9Type: §8Grenade\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:holy", ["§r§9Type: §8Grenade\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:coin", ["§r§9Type: §8Grenade\n§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:samsung", ["§r§9Type: §8Grenade\n§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:trin1", ["§r§9Type: §8Grenade\n§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:trin2", ["§r§9Type: §8Grenade\n§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:trin3", ["§r§9Type: §8Grenade\n§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:zombie", ["§r§9Type: §8Grenade\n§r§9Grade: §bRare\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:zombie2", ["§r§9Type: §8Grenade\n§r§9Grade: §bRare\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:thermite", ["§r§9Type: §8Grenade\n§r§9Grade: §aAdvanced\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:ak12", ["§r§9Type: §8Rifle\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:destroyer", ["§r§9Type: §8Sniper\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:gunslinger", ["§r§9Type: §8Pistol\n§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:desperado1", ["§r§9Type: §8Pistol\n§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:desperado2", ["§r§9Type: §8Pistol\n§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:void", ["§r§9Type: §8Pistol\n§r§9Grade: §5Epic\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:void2", ["§r§9Type: §8Item\n§r§9Grade: §5Epic\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:ray", ["§r§9Type: §8Pistol\n§r§9Grade: §aAdvanced\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:bubble", ["§r§9Type: §8Pistol\n§r§9Grade: §aAdvanced\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:deagle_dual", ["§r§9Type: §8Pistol\n§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("token:nexon", ["§r§9Restriction: §cNexon"]),
];

  
world.events.tick.subscribe(() => {
    for (const player of world.getPlayers()) {
        const playerContainer = player.getComponent("inventory").container
        for (let i = 0; i < playerContainer.size; i++) {
            const item = playerContainer.getItem(i);
            const findLore = ItemArray.find(x => x.itemId == item?.id);
            const lore = item?.getLore();
            if (!findLore || !item || lore?.length != 0) continue
            item.setLore(findLore.lore);
            playerContainer.setItem(i, item);
        }
    }


    for (const player of world.getPlayers()) {
        let item = player.getComponent("inventory").container.getItem(player.selectedSlot)
        if (item){
            let lore = item.getLore()
            if(item.getLore()[0].split("\n")[0].includes("Skin 1")){
                player.runCommand(`event entity @s skin_1`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 2")){
                player.runCommand(`event entity @s skin_2`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 3")){
                player.runCommand(`event entity @s skin_3`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 4")){
                player.runCommand(`event entity @s skin_4`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 5")){
                player.runCommand(`event entity @s skin_5`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 6")){
                player.runCommand(`event entity @s skin_6`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 7")){
                player.runCommand(`event entity @s skin_7`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 8")){
                player.runCommand(`event entity @s skin_8`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 0")){
                player.runCommand(`event entity @s skin_0`);
            }
        }
    }
});


world.events.entityHit.subscribe(v=> {
    if (v.hitEntity && v.entity && v.entity.getComponent("inventory")){
        let player = v.entity
        let item = player.getComponent("inventory").container.getItem(player.selectedSlot)
        if (item){
            let lore = item.getLore()
            if (lore[0].includes("lol")){
                player.runCommand(`tellraw @s{"rawtext":[{"text": "§7§oNow, hide!"}]}`);
            }
        }
    }
})


function onPlayerDeath3() {
	let players = world.getPlayers();
	for(let player of players) {
		let isDeath = player.hasTag("alert_pick");
		if(isDeath == true) {
            player.removeTag("alert_pick");
			player.runCommand(`tellraw @a[r=100,tag=alert_perk]{"rawtext":[{"text": "§c${player.nameTag} is at: §7${Math.round(player.location.x)}, ${Math.round(player.location.y)}, ${Math.round(player.location.z)}"}]}`);
		}
	}
}


function onPlayerDeath2() {
	let players = world.getPlayers();
	for(let player of players) {
		let playerHealt = player.getComponent("minecraft:health").current;
		let isDeath = player.hasTag("death_note_perk");
		if(playerHealt == 0 && isDeath == true) {
            player.addTag("death_note_add");
			player.runCommand(`tellraw @s{"rawtext":[{"text": "§4Death Note §o§7${Math.round(player.location.x)}, ${Math.round(player.location.y)}, ${Math.round(player.location.z)}"}]}`);
            player.removeTag("death_note_perk");
		}else if(playerHealt > 0) {
			player.runCommand(`tag @s[tag=death_note_add] add death_note_perk`);
            player.removeTag("death_note_add");
		}
	}
}


function onPlayerDeath5() {
	let players = world.getPlayers();
	for(let player of players) {
		let playerHealt = player.getComponent("minecraft:health").current;
        let playerRide = player.getComponent("minecraft:health").current;
		if(playerHealt == 0 && playerRide) {
            player.runCommand(`tag @s add LMFAO`);
		}else if(playerHealt > 0) {
            player.runCommand(`function headhot`);
		}
	}
}




function onPlayerDeath4() {
	let players = world.getPlayers();
	for(let player of players) {
		let playerHealt = player.getComponent("minecraft:health").current;
		let isDeath = player.hasTag("living_death_perk");
		if(playerHealt == 0 && isDeath == true) {
            player.addTag("living_death_add");
			player.runCommand(`summon grenade:m67`);
            player.runCommand(`summon grenade:m67`);
            player.removeTag("living_death_perk");
		}else if(playerHealt > 0) {
			player.runCommand(`tag @s[tag=living_death_add] add living_death_perk`);
            player.removeTag("living_death_add");
		}
	}
}



//Unique Decoder drops
function pageDecoderUNIQUE(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('§4Drop Rates')
	formDecoderUNIQUE.body('§cLandmine§f: §888.5%%\n§cClaymore§f: §892.5%%\n§cT.A.G§f: §810%%\n§cAK-12§f: §810.6%%\n§cOICW§f: §860%%\n§cStun Rifle§f: §860%%\n§cAK-47 Red Edition§f: §83.5%%\n§cDesert Eagle Red Edition§f: §85%%\n§cGlock Red Edition§f: §81%%\n§cXM1014 Red Edition§f: §81.3%%\n§cAK-47 60R§f: §80.1%%\n§cScout Red Edition§f: §80.1%%\n§cSL8 Gold Edition§f: §82.5%%\n§cSL8 Custom Edition§f: §81.2%%\n§cSavery§f: §894%%\n§cPowerfalcon§f: §80.1%%\n§cM200§f: §80.1%%\n§cAWP Red Edition§f: §83.5%%\n§cTempest§f: §80.2%%\n§cSterling Bayonet§f: §80.8%%\n§cDual Desert Eagles§f: §80.1%%\n§cSCAR-PDW§f: §889%%\n§cBrecci§f: §8100%%\n§cKSG Gold Edition§f: §80.2%%\n§cMaxim-9 Gold Edition§f: §81.5%%\n§cM79 Gold Edition§f: §80.4%%\n§cKing Cobra Gold Edition§f: §85.4%%\n§cDesert Eagle Gold Edition§f: §84%%\n§cLightning AR-2§f: §85%%\n§cBunker Buster LTD§f: §835.3%%\n§cMGL Venom§f: §885.9%%\n§cBat Grenade§f: §880%%\n§cHoly Grenade§f: §881.4%%\n§cGravity Grenade§f: §880%%\n§cElectro Grenade§f: §8670%%\n§cChain Grenade§f: §80.3%%\n§cTomahawk§f: §840%%\n§cTaser Knife§f: §823%%\n§cSerpent Blade§f: §80.6%%\n§cF2000§f: §80.1%%\n\n§5Epic§f§l/§r§eTranscendent§f: §85%%')
    formDecoderUNIQUE.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageGTFO(player)
        }
    })
}


//Common Decoder drops
function pageDecoderCommon(player) {
	let formDecoderCommon = new ui.ActionFormData()
	formDecoderCommon.title('§7Drop Rates')
	formDecoderCommon.body('§7Ghost Grenade§f: §80.2%%\n§7Cake Grenade§f: §80.5%%\n§7Dao Grenade§f: §80.5%%\n§7Water Balloon§f: §80.1%%\n§7Nata Knife§f: §85%%\n§7USAS-12§f: §81%%\n§7M14 EBR§f: §81%%\n§7Maxim-9§f: §81%%\n§7Truck§f: §85%%\n§7MP7A1§f: §84%%\n§7Jetpack§f: §81%%\n\n§7Else§f: §8100%%')
    formDecoderCommon.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderCommon.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageGTFO(player)
        }
    })
}

//Advanced Decoder drops
function pageDecoderAdvanced(player) {
	let formDecoderAdvanced = new ui.ActionFormData()
	formDecoderAdvanced.title('§2Drop Rates')
	formDecoderAdvanced.body('§aSL8§f: §80.1%%\n§aDouble-Barreled Shotgun§f: §80.1%%\n§aDragon Knife§f: §80.1%%\n§aTactical Knife§f: §80.1%%\n§aAS Val§f: §82%%\n§aKriss Vector§f: §82%%\n§aDual Kriss Vector§f: §82%%\n§aKSG-12§f: §81.5%%\n§aKatana§f: §81%%\n§aHecate§f: §81%%\n§aKukri§f: §81%%\n§aCombat Knife§f: §83%%\n§aTRG-42§f: §85%%\n§aWinchester§f: §85%%\n§aThompson§f: §85%%\n§aMK-23 OHWS§f: §84%%\n§aMakarov§f: §84.5%%\n§aM95 Barrett§f: §85%%\n§aBlaser R93§f: §80.1%%\n§aXM2010§f: §82.5%%\n\n§aElse§f: §8100%%')
    formDecoderAdvanced.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderAdvanced.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageGTFO(player)
        } 
    })
}

//Rare Decoder drops
function pageDecoderRare(player) {
	let formDecoderRare = new ui.ActionFormData()
	formDecoderRare.title('§9Drop Rates')
	formDecoderRare.body('§bSKULL-9§f: §850%%\n§bSR-3M§f: §80.5%%\n§bP99§f: §80.5%%\n§bPSG-1§f: §80.2%%\n§bSL8 CSOGS Edition§f: §80.1%%\n§bDesert Eagle CSOGS Edition§f: §80.1%%\n§bHoneybadger§f: §83%%\n\n§4Unique§f: §820%%\n§7Common§f: §840%%\n§aAdvanced§f: §830%%\n§5Epic§f§l/§r§eTranscendent§f: §83%%')
    formDecoderRare.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderRare.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageGTFO(player)
        }
    })
}


//Epic Decoder drops
function pageDecoderEpic(player) {
	let formDecoderEpic = new ui.ActionFormData()
	formDecoderEpic.title('§5Drop Rates')
	formDecoderEpic.body('§dLast Stand Chainsaw§f: §810%%\n\n§dVoid Avenger§f: §850%%\n\n§eTranscendent§f: §8100%%')
    formDecoderEpic.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderEpic.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageGTFO(player)
        }
    })
}

//You can change formMain to anything
function pageMain(player) {
	let formMain = new ui.ActionFormData()
	formMain.title('⪼  §fStation§r ⪻')
	formMain.body('Select an option:')
	formMain.button('§7Weapons', 'textures/guns/mileage') //Second Argument is to show icon on the left side of the button
    formMain.button('§bBingo', 'textures/guns/bingo') //Second Argument is to show icon on the left side of the button
    formMain.button('§fPoint Shop', 'textures/guns/point') //Second Argument is to show icon on the left side of the button
    formMain.button('§6Storage', 'textures/ui/storage') //Second Argument is to show icon on the left side of the button
    formMain.button('§4Perks', 'textures/ui/wrech') //Second Argument is to show icon on the left side of the button
    formMain.show(player).then(result => {
        let selection = result.selection
		
		if (selection == 0) {
            pageWeapons(player)
        }
        if (selection == 1) {
            pageBingo(player)
        }
        if (selection == 2) {
            pagePoint(player)
        }
        if (selection == 3) {
            pageStorage(player)
        }
        if (selection == 4) {
            pagePerks(player)
        }
    })
}




function pagePersonal(player) {
	let formPersonal = new ui.ActionFormData()
	formPersonal.title('⪼  §fPersonal Station§r ⪻')
    formPersonal.body('§fPersonal Station§r is your personal space! you can edit various things without needing permission from anyone.\n\nTo §cobtain§r this item if you`ve lost it, §csimply type "§c§loptions§r§c" in chat§r, all in lowercase.')
    formPersonal.button('§7Announcer', 'textures/origins/cooldown/kill_mob') //Second Argument is to show icon on the left side of the button
    formPersonal.show(player).then(result => {
        let selection = result.selection
		
		if (selection == 0) {
            pageAnnouncer(player)
        }
    })
}
//Announcer
function pageAnnouncer(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼  §cAnnouncer§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nYou can edit whatever you like about it!')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Sounds', 'textures/origins/megaphone') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Kill FX', 'textures/origins/cooldown/kill') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Hitmarker', 'textures/origins/cooldown/hit') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePersonal(player)
        }
        if (selection == 1) {
            pageAnnouncerSounds(player)
        }
        if (selection == 2) {
            pageKillFx_first(player)
        }
        if (selection == 3) {
            pageAnnouncerHitmarker(player)
        }
    })
}
//Announcer Hitmarker
function pageAnnouncerHitmarker(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼  §cHitmarker§r ⪻')
	formBingo.body('§cAnnouncer Hitmarkers§f is a feature that displays a little hitmarker on your crosshair on a successful hit.\n\nEdit texture:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cRed', 'textures/origins/cooldown/hit') //Second Argument is to show icon on the left side of the button
    formBingo.button('§fWhite', 'textures/origins/cooldown/hit2') //Second Argument is to show icon on the left side of the button
    formBingo.button('None', 'textures/hi') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncer(player)
        }
        if (selection == 1) {
            pageAnnouncerHitmarker(player)
            player.runCommand(
                'function hitmarker_color_red'
              )  
        }
        if (selection == 2) {
            pageAnnouncerHitmarker(player)
            player.runCommand(
                'function hitmarker_color_white'
              )  
        }
        if (selection == 3) {
            pageAnnouncerHitmarker(player)
            player.runCommand(
                'function hitmarker_color_none'
              )  
        }
    })
}
//Announcer Sounds
function pageAnnouncerSounds(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼  §cAnnouncer Sounds§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nEdit sounds:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Hitmarker Sounds', 'textures/origins/cooldown/hit') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Kill Sounds', 'textures/origins/cooldown/kill') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncer(player)
        }
        if (selection == 1) {
            pageHitmarkerSounds(player)
        }
        if (selection == 2) {
            pageKillSounds_first(player)
        }
    })
}
//Kill Sounds - Start
function pageKillSounds_first(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼  §cAnnouncer Sounds§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nChoose options:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Player-Kill Sounds', 'textures/origins/cooldown/kill2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Mob-Kill Sounds', 'textures/origins/cooldown/kill_mob3') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncerSounds(player)
        }
        if (selection == 1) {
            pageKillSounds(player)
        }
        if (selection == 2) {
            pageKillSounds_first(player)
            player.runCommand(
                'function mob_note'
              )  
        }
    })
}
//Kill Fx - Player
function pageAnnouncerKillFx_players(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼  §cKill FX§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nEdit players kill fx:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDisable', 'textures/origins/megaphone_off') //Second Argument is to show icon on the left side of the button
    formBingo.button('§aEnable', 'textures/origins/megaphone_on') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageKillFx_first(player)
        }
        if (selection == 1) {
            pageAnnouncerKillFx_players(player)
            player.runCommand(
                'function kill_fx_disable'
              )  
        }
        if (selection == 2) {
            pageAnnouncerKillFx_players(player)
            player.runCommand(
                'function kill_fx_enable'
              )  
        }
    })
}
function pageAnnouncerKillFx_mobs(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼  §cKill FX§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nEdit mobs kill fx:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDisable', 'textures/origins/megaphone_off') //Second Argument is to show icon on the left side of the button
    formBingo.button('§aEnable', 'textures/origins/megaphone_on') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageKillFx_first(player)
        }
        if (selection == 1) {
            pageAnnouncerKillFx_mobs(player)
            player.runCommand(
                'function mobs_kill_fx_disable'
              )  
        }
        if (selection == 2) {
            pageAnnouncerKillFx_mobs(player)
            player.runCommand(
                'function mobs_kill_fx_enable'
              )  
        }
    })
}
//Kill FX - Start
function pageKillFx_first(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼  §cAnnouncer FX§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nChoose options:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Player-Kill FX', 'textures/origins/cooldown/kill2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Mob-Kill FX', 'textures/origins/cooldown/kill_mob3') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncer(player)
        }
        if (selection == 1) {
            pageAnnouncerKillFx_players(player)
        }
        if (selection == 2) {
            pageAnnouncerKillFx_mobs(player)
        }
    })
}
//Kill Sounds - Player
function pageKillSounds(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼  §cKill Sounds§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nEdit kill sounds:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDisable', 'textures/origins/megaphone_off') //Second Argument is to show icon on the left side of the button
    formBingo.button('§aEnable', 'textures/origins/megaphone_on') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Default', 'textures/origins/megaphone') //Second Argument is to show icon on the left side of the button
    formBingo.button('§eQuake / CSS', 'textures/origins/megaphone') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncerSounds(player)
        }
        if (selection == 1) {
            pageKillSounds(player)
            player.runCommand(
                'function kill_sound_disable'
              )  
        }
        if (selection == 2) {
            pageKillSounds(player)
            player.runCommand(
                'function kill_sound_enable'
              )  
        }
        if (selection == 3) {
            pageKillSounds(player)
            player.runCommand(
                'function kill_sound_default'
              )  
        }
        if (selection == 4) {
            pageKillSounds(player)
            player.runCommand(
                'function kill_sound_css'
              )  
        }
    })
}
//Hitmarker Sounds
function pageHitmarkerSounds(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼  §cHitmarker Sounds§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nEdit hitmarker sounds:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDisable', 'textures/origins/megaphone_off') //Second Argument is to show icon on the left side of the button
    formBingo.button('§aEnable', 'textures/origins/megaphone_on') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Default', 'textures/origins/megaphone') //Second Argument is to show icon on the left side of the button
    formBingo.button('§eCSO2', 'textures/origins/megaphone') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncerSounds(player)
        }
        if (selection == 1) {
            pageHitmarkerSounds(player)
            player.runCommand(
                'function hitmarker_sound_disable'
              )  
        }
        if (selection == 2) {
            pageHitmarkerSounds(player)
            player.runCommand(
                'function hitmarker_sound_enable'
              )  
        }
        if (selection == 3) {
            pageHitmarkerSounds(player)
            player.runCommand(
                'function hitmarker_sound_default'
              )  
        }
        if (selection == 4) {
            pageHitmarkerSounds(player)
            player.runCommand(
                'function hitmarker_sound_cso2'
              )  
        }
    })
}
//Bingo
function pageBingo(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('§bBingo Tab')
	formBingo.body('§bBingo§f is an option to gamble your mileage or bingo cards in order to get rare weapons or items.\n\nYou will randomly get a number between §o0-50§r, if you get all numbers that match, you will obtain the prize!\n\n§215 Mileage §frequired for each spin, or §b1 Bingo Card§f. If you have bingo cards, they will be used first.')
    formBingo.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formBingo.button('Random Rare Pistol', 'textures/guns/ray') //Second Argument is to show icon on the left side of the button
    formBingo.button('Random Rare Rifle', 'textures/guns/ak60') //Second Argument is to show icon on the left side of the button
    formBingo.button('§eGolden Briefcase', 'textures/decoder/contract_briefcase_gold') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMain(player)
        }
        if (selection == 1) {
            pageBingoPistols(player)
        }
        if (selection == 2) {
            pageBingoRifles(player)
        }
        if (selection == 3) {
            pageBingoGold(player)
        }
    })
}
//Bingo Pistols
function pageBingoPistols(player) {
	let formBingoPistols = new ui.ActionFormData()
	formBingoPistols.title('§bBingo Tab §f- §bRare Pistols')
	formBingoPistols.body('§c* 3 numbers to be found\n\n§bP99§f: §812.2%%\n§bMakarov§f: §88.1%%\n§bMaxim-9§f: §812.2%%\n§bM79§f: §82.0%%\n§bXD Elite§f: §88.1%%\n§bBubble Gun§f: §814.2%%\n§bDual Desert Eagles§f: §82.0%%\n§bRay Gun§f: §84.0%%\n§bSVI§f: §88.1%%\n§bKing Cobra§f: §812.2%%\n§bDeagle CSOGS§f: §810.2%%\n§bMk23 OHWS§f: §86.1%%')
	formBingoPistols.button('Spin!', 'textures/guns/ray') //Second Argument is to show icon on the left side of the button
    formBingoPistols.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formBingoPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageMain(player)
        }
        if (selection == 0) {
            pageBingoPistols(player)
            player.runCommand(
                'function bingo_1'
              )      
        }
    })
}

//Bingo Pistols
function pageBingoRifles(player) {
	let formBingoPistols = new ui.ActionFormData()
	formBingoPistols.title('§bBingo Tab §f- §bRare Rifles')
	formBingoPistols.body('§c* 3 numbers to be found\n\n§bLightning AR-2§f: §822.2%%\n§bF2000§f: §85.5%%\n§bAS Val§f: §833.3%%\n§bAK-47 60R§f: §85.5%%\n§bHoneybadger§f: §827.7%%\n§bEthereal§f: §85.5%%')
	formBingoPistols.button('Spin!', 'textures/guns/ak60') //Second Argument is to show icon on the left side of the button
    formBingoPistols.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formBingoPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageMain(player)
        }
        if (selection == 0) {
            pageBingoRifles(player)
            player.runCommand(
                'function bingo_3'
              )      
        }
    })
}

//Bingo Gold
function pageBingoGold(player) {
	let formBingoGold = new ui.ActionFormData()
	formBingoGold.title('§bBingo Tab §f- §eGold Briefcase')
	formBingoGold.body('§c* 0-90 random numbers in each spin\n§c* 5 numbers to be found\n§c* Coordinates will be leaked in chat when you win!\n\n§3You will obtain §bTWO§r§3 of the following items (can be a duplicate)§r:\n\n§bVoid Avenger§f: §8100%%\n§bLast Stand Chainsaw§f: §8100%%\n§bDual Kriss Vector§f: §8100%%\n§bTempest§f: §8100%%\n§bPowerfalcon§f: §8100%%\n§bSL8 CSOGS Edition§f: §8100%%\n§bDual Desert Eagles§f: §8100%%\n§bRay Gun§f: §8100%%\n§bPSG-1§f: §8100%%\n§bSL8§f: §8100%%\n§bSL8 CSOGS Edition§f: §8100%%\n§bDesert Eagle CSOGS Edition§f: §8100%%\n§bSterling Bayonet§f: §8100%%\n§bThompson§f: §8100%%\n\n§b21x Rare Decoder§f: §8100%%\n§b15x Unique Decoder§f: §8100%%\n§b7x Epic Decoder§f: §8100%%\n\n§b5,000 Mileage Coupon§f: §830%%\n§b15,000 Points Coupon§f: §810%%')
	formBingoGold.button('Spin!', 'textures/decoder/contract_briefcase_gold') //Second Argument is to show icon on the left side of the button
    formBingoGold.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formBingoGold.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageMain(player)
        }
        if (selection == 0) {
            pageBingoGold(player)
            player.runCommand(
                'function bingo_2'
              )      
        }
    })
}

//Point Shop
function pagePoint(player) {
	let formPoint = new ui.ActionFormData()
	formPoint.title('§fPoint Shop Tab')
	formPoint.body('§fPoints§7 are used to buy miscellaneous items like Decoders.\n\nKilling hostile mobs earns you points!\n\nNormal kill = 30 points\nGrenade kill = 60 points')
    formPoint.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
	formPoint.button('Check points', 'textures/guns/point') //Second Argument is to show icon on the left side of the button
    formPoint.button('§cDe§7co§5de§ar§es', 'textures/decoder/unique') //Second Argument is to show icon on the left side of the button
    formPoint.button('§7Ammo', 'textures/parts/ammo_ar') //Second Argument is to show icon on the left side of the button
    formPoint.button('§iShelter', 'textures/melee/crowbar') //Second Argument is to show icon on the left side of the button
    formPoint.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMain(player)
        }
        if (selection == 1) {
            pagePoint(player)
            player.runCommand(
                'function point_check'
              )      
        }
        if (selection == 2) {
            pagePointDecoder(player)  
        }
        if (selection == 3) {
            pagePointAmmo(player)  
        }
        if (selection == 4) {
            pageShelter(player)  
        }
    })
}

//Storage
function pageStorage(player) {
	let formStorage = new ui.ActionFormData()
	formStorage.title('§6Storage Tab')
	formStorage.body('§6Area getting hostile? store your goods and be at ease!')
    formStorage.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
	formStorage.button('Store Mileage', 'textures/guns/mileage') //Second Argument is to show icon on the left side of the button
    formStorage.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMain(player)
        }
        if (selection == 1) {
            pageMileage_store(player)  
        }
    })
}

//Perks
function pagePerks(player) {
	let formPerks = new ui.ActionFormData()
	formPerks.title('§4Perks Tab')
    formPerks.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
	formPerks.button('Death Note', 'textures/ui/matt') //Second Argument is to show icon on the left side of the button
    formPerks.button('DDoX', 'textures/ui/icy') //Second Argument is to show icon on the left side of the button
    formPerks.button('Living Death', 'textures/ui/matt') //Second Argument is to show icon on the left side of the button
    formPerks.button('Quick Fix', 'textures/ui/icy') //Second Argument is to show icon on the left side of the button
    formPerks.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMain(player)
        }
        if (selection == 1) {
            pageDeathNote(player)  
        }
        if (selection == 2) {
            pageddox(player)  
        }
        if (selection == 3) {
            player.runCommand(
                'function ld_open'
              )      
        }
        if (selection == 4) {
            pageQF(player)  
        }
        if (selection == 5) {
            pageLW(player)  
        }
    })
}


function pagePointDecoder(player) {
	let formPointDecoder = new ui.ActionFormData()
	formPointDecoder.title('Buy Checkout, read!')
	formPointDecoder.body('§3Description:\n§o§7Decoders are mysterious boards that are over 10,000 years old, enchanted by an unknown entity. They shake the ground until they give you an item that corresponds with it`s grade, and a bingo card.')
    formPointDecoder.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPointDecoder.button('§7Common\n§f2500', 'textures/decoder/common') //Second Argument is to show icon on the left side of the button
    formPointDecoder.button('§aAdvanced\n§f5000', 'textures/decoder/advanced') //Second Argument is to show icon on the left side of the button
    formPointDecoder.button('§bRare\n§f8000', 'textures/decoder/rare') //Second Argument is to show icon on the left side of the button
    formPointDecoder.button('§4Unique\n§f12000', 'textures/decoder/unique') //Second Argument is to show icon on the left side of the button
    formPointDecoder.button('§5Epic\n§f20000', 'textures/decoder/epic') //Second Argument is to show icon on the left side of the button
    formPointDecoder.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pagePointDecoder(player)
            player.runCommand(
                'function buy_common'
              )
        }
        if (selection == 2) {
            pagePointDecoder(player)
            player.runCommand(
                'function buy_advanced'
              )
        }
        if (selection == 3) {
            pagePointDecoder(player)
            player.runCommand(
                'function buy_rare'
              )
        }
        if (selection == 4) {
            pagePointDecoder(player)
            player.runCommand(
                'function buy_unique'
              )
        }
        if (selection == 5) {
            pagePointDecoder(player)
            player.runCommand(
                'function buy_epic'
              )
        }
        if (selection == 0) {
            pagePoint(player)
        }
    })
}



function pagePointAmmo(player) {
	let formPointAmmo = new ui.ActionFormData()
	formPointAmmo.title('⪼  §fAmmo§r ⪻')
	formPointAmmo.body('§3Description:\n§o§7Ammo is used to re-fill weapons reserve ammo. To re-fill, place the ammo in your offhand, and the gun you want to fill in your mainhand.')
    formPointAmmo.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPointAmmo.button('§7Assault Rifle\n§bChoose Quantity', 'textures/parts/ammo_ar') //Second Argument is to show icon on the left side of the button
    formPointAmmo.button('§7Machine Gun\n§bChoose Quantity', 'textures/parts/ammo_mg') //Second Argument is to show icon on the left side of the button
    formPointAmmo.button('§7Grenade-fill\n§bx10\n§f800', 'textures/parts/ammo_grenade') //Second Argument is to show icon on the left side of the button
    formPointAmmo.button('§7Shotgun\n§bx25\n§f650', 'textures/parts/ammo_shotgun') //Second Argument is to show icon on the left side of the button
    formPointAmmo.button('§7Pistol\n§bChoose Quantity', 'textures/parts/ammo_pistol') //Second Argument is to show icon on the left side of the button
    formPointAmmo.button('§7SMG\n§bChoose Quantity', 'textures/parts/ammo_smg') //Second Argument is to show icon on the left side of the button
    formPointAmmo.button('§7Sniper\n§bChoose Quantity', 'textures/parts/ammo_sniper') //Second Argument is to show icon on the left side of the button
    formPointAmmo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pagePointAmmoAR(player)
        }
        if (selection == 2) {
            pagePointAmmoMG(player)
        }
        if (selection == 3) {
            pagePointAmmo(player)
            player.runCommand(
                'function buy_ammo_grenade'
              )
        }
        if (selection == 4) {
            pagePointAmmo(player)
            player.runCommand(
                'function buy_ammo_shotgun'
              )
        }
        if (selection == 5) {
            pagePointAmmoPistol(player)
        }
        if (selection == 6) {
            pagePointAmmoSMG(player)
        }
        if (selection == 7) {
            pagePointAmmoSniper(player)
        }
        if (selection == 0) {
            pagePoint(player)
        }
    })
}




function pageShelter(player) {
	let formShelter = new ui.ActionFormData()
	formShelter.title('⪼  §iShelter§r ⪻')
	formShelter.body('§3Description:\n§o§7Need extra EXTRA help in survival? you`re in the right place!\n\n§r§3Information:\n§f1. §hThese are buildable-mobs that require tools (all below) to be built or repair when damaged \n§f2. §hTo §qrepair§f / §qbuild§h, hit buildings with compatible tools WITHOUT SNEAKING\n§f3. §hHostile mobs can §cattack §hbuildings! \n§f4. §hIf damaged, plays siren sounds\n\n§r§3Compatible tools:\n§nKukri §f-> §sCrowbar §f-> §pTomahawk')
    formShelter.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formShelter.button('§mMedical Table\n§bPress for information', 'textures/ui/medical') //Second Argument is to show icon on the left side of the button
    formShelter.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageMedicalTable(player)
        }
        if (selection == 0) {
            pagePoint(player)
        }
    })
}

function pagePointAmmoSMG(player) {
	let formPointAmmoSMG = new ui.ActionFormData()
	formPointAmmoSMG.title('⪼  §fChoose Quantity - §bSMG Ammo§r ⪻')
    formPointAmmoSMG.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPointAmmoSMG.button('§f350', 'textures/guns/one') //Second Argument is to show icon on the left side of the button
    formPointAmmoSMG.button('§f410', 'textures/guns/two') //Second Argument is to show icon on the left side of the button
    formPointAmmoSMG.button('§f500', 'textures/guns/three') //Second Argument is to show icon on the left side of the button
    formPointAmmoSMG.button('§f610', 'textures/guns/four') //Second Argument is to show icon on the left side of the button
    formPointAmmoSMG.button('§f750', 'textures/guns/five') //Second Argument is to show icon on the left side of the button
    formPointAmmoSMG.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pagePointAmmoSMG(player)
            player.runCommand(
                'function buy_ammo_smg_1'
              )
        }
        if (selection == 2) {
            pagePointAmmoSMG(player)
            player.runCommand(
                'function buy_ammo_smg_2'
              )
        }
        if (selection == 3) {
            pagePointAmmoSMG(player)
            player.runCommand(
                'function buy_ammo_smg_3'
              )
        }
        if (selection == 4) {
            pagePointAmmoSMG(player)
            player.runCommand(
                'function buy_ammo_smg_4'
              )
        }
        if (selection == 5) {
            pagePointAmmoSMG(player)
            player.runCommand(
                'function buy_ammo_smg_5'
              )
        }
        if (selection == 0) {
            pagePointAmmo(player)
        }
    })
}




function pagePointAmmoSniper(player) {
	let formPointAmmoSniper = new ui.ActionFormData()
	formPointAmmoSniper.title('⪼  §fChoose Quantity - §bSniper Ammo§r ⪻')
    formPointAmmoSniper.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPointAmmoSniper.button('§f350', 'textures/guns/one') //Second Argument is to show icon on the left side of the button
    formPointAmmoSniper.button('§f410', 'textures/guns/two') //Second Argument is to show icon on the left side of the button
    formPointAmmoSniper.button('§f500', 'textures/guns/three') //Second Argument is to show icon on the left side of the button
    formPointAmmoSniper.button('§f610', 'textures/guns/four') //Second Argument is to show icon on the left side of the button
    formPointAmmoSniper.button('§f750', 'textures/guns/five') //Second Argument is to show icon on the left side of the button
    formPointAmmoSniper.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pagePointAmmoSniper(player)
            player.runCommand(
                'function buy_ammo_sniper_1'
              )
        }
        if (selection == 2) {
            pagePointAmmoSniper(player)
            player.runCommand(
                'function buy_ammo_sniper_2'
              )
        }
        if (selection == 3) {
            pagePointAmmoSniper(player)
            player.runCommand(
                'function buy_ammo_sniper_3'
              )
        }
        if (selection == 4) {
            pagePointAmmoSniper(player)
            player.runCommand(
                'function buy_ammo_sniper_4'
              )
        }
        if (selection == 5) {
            pagePointAmmoSniper(player)
            player.runCommand(
                'function buy_ammo_sniper_5'
              )
        }
        if (selection == 0) {
            pagePointAmmo(player)
        }
    })
}



function pagePointAmmoAR(player) {
	let formPointAmmoAR = new ui.ActionFormData()
	formPointAmmoAR.title('⪼  §fChoose Quantity - §bAR Ammo§r ⪻')
    formPointAmmoAR.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPointAmmoAR.button('§f350', 'textures/guns/one') //Second Argument is to show icon on the left side of the button
    formPointAmmoAR.button('§f410', 'textures/guns/two') //Second Argument is to show icon on the left side of the button
    formPointAmmoAR.button('§f500', 'textures/guns/three') //Second Argument is to show icon on the left side of the button
    formPointAmmoAR.button('§f610', 'textures/guns/four') //Second Argument is to show icon on the left side of the button
    formPointAmmoAR.button('§f750', 'textures/guns/five') //Second Argument is to show icon on the left side of the button
    formPointAmmoAR.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pagePointAmmoAR(player)
            player.runCommand(
                'function buy_ammo_ar_1'
              )
        }
        if (selection == 2) {
            pagePointAmmoAR(player)
            player.runCommand(
                'function buy_ammo_ar_2'
              )
        }
        if (selection == 3) {
            pagePointAmmoAR(player)
            player.runCommand(
                'function buy_ammo_ar_3'
              )
        }
        if (selection == 4) {
            pagePointAmmoAR(player)
            player.runCommand(
                'function buy_ammo_ar_4'
              )
        }
        if (selection == 5) {
            pagePointAmmoAR(player)
            player.runCommand(
                'function buy_ammo_ar_5'
              )
        }
        if (selection == 0) {
            pagePointAmmo(player)
        }
    })
}



function pagePointAmmoPistol(player) {
	let formPointAmmoPistol = new ui.ActionFormData()
	formPointAmmoPistol.title('⪼  §fChoose Quantity - §bPistol Ammo§r ⪻')
    formPointAmmoPistol.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPointAmmoPistol.button('§f350', 'textures/guns/one') //Second Argument is to show icon on the left side of the button
    formPointAmmoPistol.button('§f410', 'textures/guns/two') //Second Argument is to show icon on the left side of the button
    formPointAmmoPistol.button('§f500', 'textures/guns/three') //Second Argument is to show icon on the left side of the button
    formPointAmmoPistol.button('§f610', 'textures/guns/four') //Second Argument is to show icon on the left side of the button
    formPointAmmoPistol.button('§f750', 'textures/guns/five') //Second Argument is to show icon on the left side of the button
    formPointAmmoPistol.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pagePointAmmoPistol(player)
            player.runCommand(
                'function buy_ammo_pistol_1'
              )
        }
        if (selection == 2) {
            pagePointAmmoPistol(player)
            player.runCommand(
                'function buy_ammo_pistol_2'
              )
        }
        if (selection == 3) {
            pagePointAmmoPistol(player)
            player.runCommand(
                'function buy_ammo_pistol_3'
              )
        }
        if (selection == 4) {
            pagePointAmmoPistol(player)
            player.runCommand(
                'function buy_ammo_pistol_4'
              )
        }
        if (selection == 5) {
            pagePointAmmoPistol(player)
            player.runCommand(
                'function buy_ammo_pistol_5'
              )
        }
        if (selection == 0) {
            pagePointAmmo(player)
        }
    })
}




function pagePointAmmoMG(player) {
	let formPointAmmoMG = new ui.ActionFormData()
	formPointAmmoMG.title('⪼  §fChoose Quantity - §bMG Ammo§r ⪻')
    formPointAmmoMG.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPointAmmoMG.button('§f350', 'textures/guns/one') //Second Argument is to show icon on the left side of the button
    formPointAmmoMG.button('§f410', 'textures/guns/two') //Second Argument is to show icon on the left side of the button
    formPointAmmoMG.button('§f500', 'textures/guns/three') //Second Argument is to show icon on the left side of the button
    formPointAmmoMG.button('§f610', 'textures/guns/four') //Second Argument is to show icon on the left side of the button
    formPointAmmoMG.button('§f750', 'textures/guns/five') //Second Argument is to show icon on the left side of the button
    formPointAmmoMG.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pagePointAmmoMG(player)
            player.runCommand(
                'function buy_ammo_mg_1'
              )
        }
        if (selection == 2) {
            pagePointAmmoMG(player)
            player.runCommand(
                'function buy_ammo_mg_2'
              )
        }
        if (selection == 3) {
            pagePointAmmoMG(player)
            player.runCommand(
                'function buy_ammo_mg_3'
              )
        }
        if (selection == 4) {
            pagePointAmmoMG(player)
            player.runCommand(
                'function buy_ammo_mg_4'
              )
        }
        if (selection == 5) {
            pagePointAmmoMG(player)
            player.runCommand(
                'function buy_ammo_mg_5'
              )
        }
        if (selection == 0) {
            pagePointAmmo(player)
        }
    })
}




//Weapons
function pageWeapons(player) {
	let formWeapons = new ui.ActionFormData()
	formWeapons.title('§8Weapons Tab')
	formWeapons.body('Select a category\n\n§c* Categories except pistols/bingo/decoder are not complete because I need opinions before I transfer them over to other categories.\nPlease voice your opinions about the UI seen in the pistols/bingo/decoder category in the comments of the update.\nThank you!')
    formWeapons.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
	formWeapons.button('Pistols', 'textures/guns/glock') //Second Argument is to show icon on the left side of the button
    formWeapons.button('Rifles', 'textures/guns/ak47') //Second Argument is to show icon on the left side of the button
    formWeapons.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMain(player)
        }
        if (selection == 1) {
            pagePistols(player)
        }
        if (selection == 2) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

















//Pistols List
function pagePistols(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Pistol buy')
	formPistols.body('Select a pistol to buy:')
    formPistols.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
	formPistols.button('USP §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/usp') //Second Argument is to show icon on the left side of the button
	formPistols.button('P228 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/p228') //Second Argument is to show icon on the left side of the button
    formPistols.button('Mauser C96 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/mauser') //Second Argument is to show icon on the left side of the button
    formPistols.button('P99 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/p99') //Second Argument is to show icon on the left side of the button
    formPistols.button('Glock-18 §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/glock') //Second Argument is to show icon on the left side of the button
    formPistols.button('Luger §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/luger') //Second Argument is to show icon on the left side of the button
    formPistols.button('M1911 §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/m1911') //Second Argument is to show icon on the left side of the button
    formPistols.button('FN Five-SeveN §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/fiveseven') //Second Argument is to show icon on the left side of the button
    formPistols.button('Makarov §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/makarov') //Second Argument is to show icon on the left side of the button
    formPistols.button('MK23 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/mk23') //Second Argument is to show icon on the left side of the button
    formPistols.button('R8 Revolver §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/r8') //Second Argument is to show icon on the left side of the button
    formPistols.button('Maxim-9 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/maxim') //Second Argument is to show icon on the left side of the button
    formPistols.button('Desperado §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/desperado1') //Second Argument is to show icon on the left side of the button
    formPistols.button('Welrod §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/welrod') //Second Argument is to show icon on the left side of the button
    formPistols.button('AMT Automag V §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/automag') //Second Argument is to show icon on the left side of the button
    formPistols.button('IMI Desert Eagle §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/deagle') //Second Argument is to show icon on the left side of the button
    formPistols.button('M79 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/m79') //Second Argument is to show icon on the left side of the button
    formPistols.button('SVI §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/infinity') //Second Argument is to show icon on the left side of the button
    formPistols.button('King Cobra §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/kc') //Second Argument is to show icon on the left side of the button
    formPistols.button('Void Avenger §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/void') //Second Argument is to show icon on the left side of the button
    formPistols.button('Gunslinger §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/gunslinger') //Second Argument is to show icon on the left side of the button
    formPistols.button('XD Elite §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/xd') //Second Argument is to show icon on the left side of the button
    formPistols.button('Bubble Gun §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/bubble') //Second Argument is to show icon on the left side of the button
    formPistols.button('Dual Deagles §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/deagle_dual_real') //Second Argument is to show icon on the left side of the button
    formPistols.button('Dual Beretta Elite §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/beretta_dual') //Second Argument is to show icon on the left side of the button
    formPistols.button('Ray Gun §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/ray') //Second Argument is to show icon on the left side of the button
    formPistols.button('Anaconda §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/anaconda') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageWeapons(player)
        }
        if (selection == 1) {
            pageUSP_buy(player)
        }
        if (selection == 2) {
            pageP228_buy(player)
        }
        if (selection == 3) {
            pageMauser_buy(player)
        }
        if (selection == 4) {
            pageP99_buy(player)
        }
        if (selection == 5) {
            pageGlock_buy(player)
        }
        if (selection == 6) {
            pageLuger_buy(player)
        }
        if (selection == 7) {
            pageM1911_buy(player)
        }
        if (selection == 8) {
            pageFiveSeven_buy(player)
        }
        if (selection == 9) {
            pageMakarov_buy(player)
        }
        if (selection == 10) {
            pageMK23_buy(player)
        }
        if (selection == 11) {
            pageR8_buy(player)
        }
        if (selection == 12) {
            pageMaxim_buy(player)
        }
        if (selection == 13) {
            pageDesperado_buy(player)
        }
        if (selection == 14) {
            pageWelrod_buy(player)
        }
        if (selection == 15) {
            pageAutomag_buy(player)
        }
        if (selection == 16) {
            pageDeagle_buy(player)
        }
        if (selection == 17) {
            pageM79_buy(player)
        }
        if (selection == 18) {
            pageSVI_buy(player)
        }
        if (selection == 19) {
            pageKC_buy(player)
        }
        if (selection == 20) {
            pageVoidAvenger_buy(player)
        }
        if (selection == 21) {
            pageGunslinger_buy(player)
        }
        if (selection == 22) {
            pageXD_buy(player)
        }
        if (selection == 23) {
            pageBubble_buy(player)
        }
        if (selection == 24) {
            pageDeagleDual_buy(player)
        }
        if (selection == 25) {
            pageBerettaDual_buy(player)
        }
        if (selection == 26) {
            pageRayGun_buy(player)
        }
        if (selection == 27) {
            pageAnaconda_buy(player)
        }
    })
}



//Rifles List
function pageRifles() {
	let players = world.getPlayers();
	for(let player of players) {
		let isDeath2 = player.hasTag("open_rifles");
		if(isDeath2 == true) {
            player.removeTag("open_rifles");
            let formDecoderUNIQUE = new ui.ActionFormData()
            formDecoderUNIQUE.title('Rifle buy')
            formDecoderUNIQUE.body('Select a rifle to buy:')
            formDecoderUNIQUE.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AK-74U §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/ak74u') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('M14 EBR §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/m14') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('TAR-21 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/tar') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AK-47 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/ak47') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('SCAR §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/scarl') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('M4A1 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/m4a1') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AN-94 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/an94') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Lightning AR-2 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/violin') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('F2000 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/f2000') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Honeybadger §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/honeybadger') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('OICW §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/oicw') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('SG552 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/sg552') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AKM §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/akm') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AK-60 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/ak60') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('FNC §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/fnc') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AS Val §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/val') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AK-12 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/ak12') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('MK18 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/mk18') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('M16A4 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/m16a4') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('ARX-160 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/arx') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Stun Rifle §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/stun') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('G11 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/g11') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('M16A1 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/m16a1') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('StG-44 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/stg') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('HK416 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/hk416') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Groza §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/groza') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Browning §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/browning') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Garand §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/garand') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AUG §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/aug') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('FAMAS §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/famas') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Galil §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/galil') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Ethereal §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/ethereal') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.show(player).then(result => {
                let selection = result.selection
		
                if (selection == 0) {
                    pageWeapons(player)
                }
                if (selection == 1) {
                    pageAK74U_buy(player)
                }
                if (selection == 2) {
                    pageM14_buy(player)
                }
                if (selection == 3) {
                    pageTAR_buy(player)
                }
                if (selection == 4) {
                    pageAK47_buy(player)
                }
                if (selection == 5) {
                    pageSCAR_buy(player)
                }
                if (selection == 6) {
                    pageM4A1_buy(player)
                }
                if (selection == 7) {
                    pageAN94_buy(player)
                }
                if (selection == 8) {
                    pageViolin_buy(player)
                }
                if (selection == 9) {
                    pageF2000_buy(player)
                }
                if (selection == 10) {
                    pageHoneybadger_buy(player)
                }
                if (selection == 11) {
                    pageOICW_buy(player)
                }
                if (selection == 12) {
                    pageSG552_buy(player)
                }
                if (selection == 13) {
                    pageAKM_buy(player)
                }
                if (selection == 14) {
                    pageAK60_buy(player)
                }
                if (selection == 15) {
                    pageFNC_buy(player)
                }
                if (selection == 16) {
                    pageVAL_buy(player)
                }
                if (selection == 17) {
                    pageAK12_buy(player)
                }
                if (selection == 18) {
                    pageMK18_buy(player)
                }
                if (selection == 19) {
                    pageM16A4_buy(player)
                }
                if (selection == 20) {
                    pageARX_buy(player)
                }
                if (selection == 21) {
                    pageStunRifle_buy(player)
                }
                if (selection == 22) {
                    pageG11_buy(player)
                }
                if (selection == 23) {
                    pageM16A1_buy(player)
                }
                if (selection == 24) {
                    pageSTG_buy(player)
                }
                if (selection == 25) {
                    pageHK416_buy(player)
                }
                if (selection == 26) {
                    pageGroza_buy(player)
                }
                if (selection == 27) {
                    pageBrowning_buy(player)
                }
                if (selection == 28) {
                    pageGarand_buy(player)
                }
                if (selection == 29) {
                    pageAUG_buy(player)
                }
                if (selection == 30) {
                    pageFAMAS_buy(player)
                }
                if (selection == 31) {
                    pageGalil_buy(player)
                }
                if (selection == 32) {
                    pageEthereal_buy(player)
                }
            })
        }
    }
}

function pageAK74U_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 15 is required to buy this weapon!\n\n§r§bFound in Decoders, Structures & Crafting\n§9Accuracy is based on recoil\n§cFirst shot is not accurate\n\n§r§3Description\n§o§7The AK-74u is a compact smg-ar hybrid that works effectively for people who like to shoot in small bursts.§r\n\n§r§cStats\n§7Damage: §822\n§7Range: §8128\n§7Mobility: §83.15 M/S | 4.09 M/S\n§7Reload: §83.0s\n§7Accurate Range: §823.5m\n§7Fire Rate: §8562.5 RPM\n\n§fPrice: §r§2525 Mileage §f& §a1 Emerald')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_ak74u'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
                if (selection == 2) {
            pageAK74U_skins(player)    
        }
    })
}

function pageAK74U_skins(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('AK-74u Skins')
	formDecoderUNIQUE.body('§c* You must have an AK-74u in your inventory!\n\nSelect a skin to buy:')
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
        formDecoderUNIQUE.button('§1S§2k§3i§4n§5s§6!', 'textures/guns/ak74ut') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
                if (selection == 1) {
            pageAK74U_skins(player)    
        }
    })
}

function pageM14_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 24 is required to buy this weapon!\n\n§r§bFound in Decoders, Structures & Crafting\n§9Recoil doesn`t increase, but the recoil time does\n\n§r§3Description\n§o§7High damaging battle rifle, capable of 2-3 shotting unarmored opponents§r\n\n§r§cStats\n§7Damage: §829\n§7Range: §8128\n§7Mobility: §83.02 M/S | 3.92 M/S\n§7Reload: §83.0s\n§7Accurate Range: §861m\n§7Fire Rate: §8285.7 RPM\n\n§fPrice: §r§2420 Mileage §f& §c200 Redstone')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_m14'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageTAR_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 30 is required to buy this weapon!\n\n§r§bFound in Decoders, Structures & Crafting\n§9Can scope by sneaking\n§9Has hailing white tracers\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2400 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_tar'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}


function pageSG552_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders, Structures & Crafting\n§9Can scope by sneaking\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2500 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_sg552'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAUG_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders, Structures & Crafting\n§9Can scope by sneaking\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2330 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_aug'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageF2000_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 40 is required to buy this weapon!\n\n§r§bFound in Bingo, Decoders & Structures\n§9Can scope by sneaking\n§cFirst shot is not accurate\n§cAccuracy is random\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.')
    formDecoderUNIQUE.button('Okay', 'textures/ui/lol6') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageViolin_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Bingo, Decoders & Structures\n§cHas 2 random damage values\n§cLower damage whilst sneaking or in air\n§9Will play a nice melody for you when idling and not shooting\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.')
    formPistols.button('Okay', 'textures/ui/lol5') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAK60_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Bingo, Decoders & Structures\n§9Can scope by sneaking\n\n§r§3Description\n§o§7This scope-able Kalashnikov variant deals more damage and is more accurate than it`s brothers. It also holds more ammo, lower recoil, at the cost of spending hours of your life trying to obtain it.§r\n\n§r§cStats\n§7Damage: §828\n§7Range: §8128\n§7Mobility: §83.02 M/S | 3.92 M/S\n§7Reload: §82.5s\n§7Accurate Range: §857m\n§7Fire Rate: §8610.2 RPM')
    formPistols.button('Okay', 'textures/ui/lol10') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageEthereal_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Bingo\n§9Accuracy is based on recoil\n§9Incendiary rounds\n§9Has special tracers\n\n§r§3Description\n§o§7Manufactured to destroy zombies. Sets enemies on fire.§r\n\n§r§cStats\n§7Damage: §817 (base)\n§7Range: §8128\n§7Mobility: §82.80 M/S | 3.64 M/S\n§7Reload: §83.0s\n§7Accurate Range: §8Infinite\n§7Fire Rate: §8600 RPM')
    formPistols.button('Okay', 'textures/ui/lol10') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAK47_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§6Variants or Editions available\n§bFound in Decoders & Crafting\n\n§r§3Description\n§o§7The classic starting rifles for the Terrorists.§r\n\n§r§cStats\n§7Damage: §827\n§7Range: §8128\n§7Mobility: §83.02 M/S | 3.92 M/S\n§7Reload: §82.5s\n§7Accurate Range: §829m\n§7Fire Rate: §8600 RPM\n\n§fPrice: §r§2400 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_ak47'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAKM_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 15 is required to buy this weapon!\n\n§r§bFound in Decoders, Structures & Crafting\n\n§r§3Description\n§o§7The AKM is a lower damaging AK-47 variant with less recoil and higher accuracy.§r\n\n§r§cStats\n§7Damage: §824\n§7Range: §8128\n§7Mobility: §83.10 M/S | 4.04 M/S\n§7Reload: §82.5s\n§7Accurate Range: §832m\n§7Fire Rate: §8600 RPM\n\n§fPrice: §r§2440 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_akm'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageFNC_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 15 is required to buy this weapon!\n\n§r§bFound in Decoders, Structures & Crafting\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2240 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_fnc'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageG11_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders, Structures & Crafting\n§9To auto/burst, place the G11 in the crafting grid\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2550 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_g11'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageFAMAS_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders, Structures & Crafting\n§9To auto/burst, place the famas in the crafting grid\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2250 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_famas'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageGalil_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders, Structures & Crafting\n§cBullet offset increases\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2250 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_galil'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageM16A1_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 15 is required to buy this weapon!\n\n§r§bFound in Decoders, Structures & Crafting\n§9To auto/semi, simply hit ground/air\n§9Deals more damage in semi\n§9Recoil doesn`t increase, but the recoil time does\n§cBullet offset increases\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2450 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_m16a1'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageSTG_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 20 is required to buy this weapon!\n\n§r§bFound in Decoders, Structures & Crafting\n§cHas teleport recoil\n§9Can be enhanced\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2550 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_stg'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageMK18_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 20 is required to buy this weapon!\n\n§r§bFound in Decoders, Structures & Crafting\n§cHas teleport recoil\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2320 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_mk18'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageM16A4_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 25 is required to buy this weapon!\n\n§r§bFound in Decoders, Structures & Crafting\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2400 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_m16a4'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageARX_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 35 is required to buy this weapon!\n\n§r§bFound in Decoders, Structures & Crafting\n§9Can scope by sneaking\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2470 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_arx'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageStunRifle_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders\n§9Stuns nearby entities and players when user is reloading\n§cNeeds charging\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§21,200 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_stunrifle'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageVAL_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 50 is required to buy this weapon!\n\n§r§bFound in Bingo & Decoders\n\n§r§3Description\n§o§7A Soviet-designed rifle featuring an integrated suppressor. Doesn`t produce smoke.§r\n\n§r§cStats\n§7Damage: §815\n§7Range: §8128\n§7Mobility: §83.10 M/S | 4.04 M/S\n§7Reload: §83.4s\n§7Accurate Range: §837m\n§7Fire Rate: §8600 RPM\n\n§fPrice: §r§2400 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_val'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAK12_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 70 is required to buy this weapon!\n\n§r§bFound in Decoders\n§9Has special tracers\n\n§r§3Description:\n§o§7Hailing from CSO`s sequel; the AK-12 has forgiving recoil and great accuracy, with an addition of tracers to know where you`re shooting.§r\n\n§r§cStats\n§7Damage: §826\n§7Range: §8128\n§7Mobility: §82.80 M/S | 3.64 M/S\n§7Reload: §83.2s\n§7Accurate Range: §860m\n§7Fire Rate: §8620.6 RPM\n\n§fPrice: §r§2480 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_ak12'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageSCAR_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders, Structures & Crafting\n§9To change gun modes, place the SCAR in the crafting grid\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2700 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_scar'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageOICW_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 25 is required to buy this weapon!\n\n§r§bFound in Decoders\n§9To change gun modes, simply sneak\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2600 Mileage §f& §a1 Emerald')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_oicw'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageM4A1_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders, Structures & Crafting\n§9To silence/unsilence, place the M4A1 in the crafting grid\n§9Deals more damage when silenced\n§cRange decreases when silenced\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2470 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_m4a1'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageHK416_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders, Structures & Crafting\n§9To silence/unsilence, place the HK416 in the crafting grid\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2400 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_hk416'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageBrowning_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders, Structures & Crafting\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2380 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_browning'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageGroza_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders, Structures & Crafting\n§9Recoil doesn`t increase, but the recoil time does\n§cHas teleport recoil\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2360 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_groza'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageGarand_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders, Structures & Crafting\n§cYou need to deplete all your ammo to reload\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2340 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_garand'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAN94_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders, Structures & Crafting\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2520 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_an94'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}


function pageHoneybadger_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Bingo, Decoders & Structures\n§9Has no tracers\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r')
    formPistols.button('Okay', 'textures/ui/lol7') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}



function pageMileage_store(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Storage Checkout, read!')
	formPistols.body('§o§7You can only store/withdraw §a64 Mileage§7 at a time.')
    formPistols.button('§aStore', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§2Withdraw', 'textures/ui/wiki') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageStorage(player)
            player.runCommand(
                'function store_mileage'
              )
        }
        if (selection == 1) {
            pageStorage(player)
            player.runCommand(
                'function withdraw_mileage'
              )
        }
        if (selection == 2) {
            pageStorage(player)
        }
    })
}


function pageDeathNote(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Perks Checkout, read!')
	formPistols.body('§o§7Coordinates of where you died will be displayed to you.\n\n§r§fPrice: §r§2400 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePerks(player)
            player.runCommand(
                'function buy_deathnote'
              )
        }
        if (selection == 1) {
            pagePerks(player)
        }
    })
}



function pageMedicalTable(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼  §iShelter §f-§r §mMedical Table§r ⪻')
	formPistols.body('§r§c* Make sure you have §4Tomahawk§r§c, §4Crowbar§r§c or §4Kukri§r§c to build and repair!\n\n§o§7Nearby healing to players and mobs when jumping on the table. Slightly fragile, handle with care!\n\n§r§hSpawn Egg will drop upon death (player-only) once it`s fully built, otherwise nothing drops!\n\n§r§hSneak and hit to §cattack§h, Unsneak and hit to §qrepair\n\n§r§hProjectile / Bullet damage is halved\n\n§r§fPrice: §r§f1000 Points')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageShelter(player)
            player.runCommand(
                'function buy_medicaltable'
              )
        }
        if (selection == 1) {
            pageShelter(player)
        }
    })
}



function pageLaptop() {
	let players = world.getPlayers();
	for(let player of players) {
	let isBuy = player.hasTag("station_buy");
	if(isBuy == true) {
    player.removeTag("station_buy");
    pageMain(player)
}
}
}




function pageLD() {
	let players = world.getPlayers();
	for(let player of players) {
	let isBuy = player.hasTag("living_death_perk_buy_open");
	if(isBuy == true) {
    player.removeTag("living_death_perk_buy_open");
    let formPistols = new ui.ActionFormData()
	formPistols.title('Living Death - §2Already Purchased')
	formPistols.body('§o§7Explode upon death.\n\n§r§fYou can either back out of this page or de-activate the ability. You can still use it anytime when you re-activate it.')
    formPistols.button('§aDe-activate', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePerks(player)
            player.runCommand(
                'function revoke_ld'
              )
        }
        if (selection == 1) {
            pagePerks(player)
        }
    })
}
}
}


function pageLD_active() {
	let players = world.getPlayers();
	for(let player of players) {
	let isBuy = player.hasTag("living_death_perk_buy_open2");
	if(isBuy == true) {
    player.removeTag("living_death_perk_buy_open2");
    let formPistols = new ui.ActionFormData()
	formPistols.title('Living Death - §2Already Purchased')
	formPistols.body('§o§7Explode upon death.\n\n§r§fYou can either back out of this page or activate the ability.')
    formPistols.button('§aActivate', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePerks(player)
            player.runCommand(
                'function active_ld'
              )
        }
        if (selection == 1) {
            pagePerks(player)
        }
    })
}
}
}


function pageLD_not() {
	let players = world.getPlayers();
	for(let player of players) {
	let isBuy = player.hasTag("living_death_perk_not_buy_open");
	if(isBuy == true) {
    player.removeTag("living_death_perk_not_buy_open");
    let formPistols = new ui.ActionFormData()
	formPistols.title('Perks Checkout, read!')
	formPistols.body('§o§7Explode upon death.\n\n§r§fPrice: §r§2400 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePerks(player)
            player.runCommand(
                'function buy_ld'
              )
        }
        if (selection == 1) {
            pagePerks(player)
        }
    })
}
}
}



function pageLW(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Perks Checkout, read!')
	formPistols.body('§o§7Increased movement speed and decreased health. Speed doesn`t decrease when holding weapons, only increases!\n\n§r§fPrice: §r§2400 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePerks(player)
            player.runCommand(
                'function buy_lw'
              )
        }
        if (selection == 1) {
            pagePerks(player)
        }
    })
}



function pageQF(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Perks Checkout, read!')
	formPistols.body('§o§7Healing upon killing a mob or a player.\n\n§r§fPrice: §r§2650 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePerks(player)
            player.runCommand(
                'function buy_qf'
              )
        }
        if (selection == 1) {
            pagePerks(player)
        }
    })
}



function pageddox(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Perks Checkout, read!')
	formPistols.body('§o§7When using / eating the §cCompass§7, coordinates of all players in a 100 block radius will be shown to you. Players with this perk equipped are invulnerable.\n\n§r§fPrice: §r§2650 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePerks(player)
            player.runCommand(
                'function buy_ddox'
              )
        }
        if (selection == 1) {
            pagePerks(player)
        }
    })
}


function pageUSP_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§6Variants or Editions available\n§r§bFound in Decoders, Structures & Crafting\n§9To silence/unsilence, place the USP in the crafting grid\n§cBouncy recoil mechanic when shot in slow bursts\n\n§r§3Description:\n§o§7K&M 45. Tactical, or the USP, has a detachable silencer that gives shots more recoil and lowers damage while suppressing attention-getting noise. When unsilenced, recoil is lowered but your shots can be heard further.\n\n§r§cStats\n§7Damage: §816 (Unsilenced) | 14 (Silenced)\n§7Range: §870\n§7Mobility: §83.75 M/S | 4.88 M/S\n§7Reload: §82.5s\n§7Accurate Range: §857m (Unsilenced) | 43m (Silenced)\n§7Fire Rate: §8266.7 RPM\n\n§fPrice: §r§2250 Mileage §f& §6195 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_usp'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageMK23_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Bingo\n§cHas 2 random damage values\n§9To silence/unsilence, place the MK23 in the crafting grid\n\n§r§3Description:\n§o§7The MK23 is a machanical USP that is focused on being tactical. Incredible accuracy that doesn`t decrease drastically like the USP alongside no bouncy recoil, at the cost of lower damage that is random between two values. Silencer increases accuracy.\n\n§r§cStats:\n§7Damage: §815 OR 12\n§7Range: §870\n§7Mobility: §83.64 M/S | 4.74 M/S\n§7Fire Rate: §881%% (Semi)')
    formPistols.button('Okay', 'textures/ui/lol9') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}

function pageRayGun_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Bingo\n§9Infinite Ammo\n§9Same accuracy at all times\n§9No Recoil\n§cAccuracy is random\n\n§r§3Description:\n§o§7Mythical weapon capable of shooting slow velocity, weak, red lasers that leave lava particles behind.\n\n§r§cStats:\n§7Damage: §814\n§7Range: §870\n§7Mobility: §84.31 M/S | 5.61 M/S\n§7Fire Rate: §855%% (Semi)')
    formPistols.button('Okay', 'textures/ui/lol7') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}

function pageMaxim_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§6Variants or Editions available\n§bFound in Decoders, Structures & Bingo\n§9Can aim down-sights by sneaking\n§cHas damage drop-off at long distances\n\n§r§3Description:\n§o§7The Maxim-9 is an integrally silenced pistol that is able to aim down-sights. It`s extremely lethal upclose (more lethal than a Desert Eagle!), but the damage-drop off penalty is even more lethal.\n\n§r§cStats:\n§7Damage: §824 - 20 - 17 - 13 (drop-off)\n§7Range: §8128\n§7Mobility: §83.71 M/S | 4.82 M/S\n§7Fire Rate: §886%% (Semi)')
    formPistols.button('Okay', 'textures/ui/lol') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageXD_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Structures & Bingo\n§9Has unique tracers\n§9Can aim down-sights by sneaking\n§cHas bullet-drop & gravity\n\n§r§3Description:\n§o§7The XD-M Elite is a tactical pistol that is able to aim down-sights, but has unusual traits such as bullet drops.\n\n§r§cStats:\n§7Damage: §813\n§7Range: §870\n§7Mobility: §4BUGGED!\n§7Fire Rate: §881%% (Semi)')
    formPistols.button('Okay', 'textures/ui/lol') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageP228_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Crafting\n§cHas damage drop-off at long distances\n\n§3Description\n§o§7The SIG Sauer P228 or simply P228 is a Swiss made compact semi-automatic pistol in the Counter-Strike series. It`s very average, and the only thing going for it is it`s jumping accuracy.\n\n§r§cStats\n§7Damage: §815 - 13 - 10 - 9 (drop-off)\n§7Range: §870\n§7Mobility: §83.71 M/S | 4.82 M/S\n§7Reload: §82.7s\n§7Accurate Range: §832m\n§7Fire Rate: §8251.6 RPM\n\n§fPrice: §r§2128 Mileage §f& §668 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_p228'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}



function pageP99_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Bingo\n\n§3Description:\n§o§7The Walther P99 is a great pistol to annoy snipers, as the velocity coming out of it surpasses most of them! only one issue though, are you willing to sacrafice hours of your life to obtain such rare elegance?\n\n§r§cStats:\n§7Damage: §815\n§7Range: §870\n§7Mobility: §4BUGGED!\n§7Fire Rate: §876%% (Semi)')
    formPistols.button('Okay', 'textures/ui/lol') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageDeagleDual_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Bingo\n\n§3Description:\n§o§7Long awaited, the Dual Desert Eagles are far better than their single counter-part. Higher damage, lower recoil, double mags, and double the fun!\n\n§r§cStats:\n§7Damage: §825\n§7Range: §870\n§7Mobility: §83.45 M/S | 4.48 M/S\n§7Fire Rate: §885%% (Semi)')
    formPistols.button('Okay', 'textures/ui/lol5') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageBerettaDual_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Crafting\n\n§3Description:\n§o§7These pistols right here, are the first "real dual" pistols in all of Bedrock. The Dual Berettas or Elites consists of low recoil, good rate of fire & accuracy even at longer distances, and average damage. Try shooting facing the barrels of the guns.\n\n§r§cStats:\n§7Damage: §815\n§7Range: §870\n§7Mobility: §83.75 M/S | 4.88 M/S\n§7Fire Rate: §890%% (Semi)\n\n§fPrice: §r§2210 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_beretta'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}


function pageM79_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§6Variants or Editions available\n§bFound in Structures & Bingo\n§cHas bullet-drop & gravity\n§9No Recoil\n\n§3Description:\n§o§7A hand-cannon that is able to shoot grenades that explode on impact. Needs to be reloaded every shot. Quite\n\n§r§cStats:\n§7Explosion Power: §82.5\n§7Mobility: §4BUGGED!\n§7Fire Rate: §8N/A')
    formPistols.button('Okay', 'textures/ui/lol8') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageBubble_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Structures & Bingo\n\n§3Description:\n§o§7A silly toy that shoots bubbles. I wonder what happens if they touch someone...?\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.')
    formPistols.button('Okay', 'textures/ui/lol4') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageSVI_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Structures & Bingo\n\n§3Description:\n§o§7The SVI Infinity Silver is a pistol in Counter-Strike Online.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.')
    formPistols.button('Okay', 'textures/ui/lol3') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}

function pageKC_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§6Variants or Editions available\n§bFound in Structures & Bingo\n§9Can scope by sneaking\n§9Recoil doesn`t increase\n\n§3Description:\n§o§7The King Cobra is a high risk high reward sniper-revolver that requires your patience inbetween clicks and rage cooldowns hit accurate shots.\n\n§r§cStats:\n§7Damage: §820\n§7Range: §870\n§7Mobility: §83.66 M/S | 4.77 M/S\n§7Fire Rate: §810%% (Semi)')
    formPistols.button('Okay', 'textures/ui/lol3') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}

function pageVoidAvenger_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n§9Has special traits\n\n§3Description:\n§o§7The Void Avenger is an epic-pistol weapon for a very good reason - it can immediately stop everyone around you in their tracks in a certain radius for a few seconds by a simple click!\nAfter 55 shots you obtain a Void Bullet which can be thrown to create a big crator that can pull mobs in and damage them.\n\n§r§cStats:\n§7Pistol Damage: §817\n§7Void Explosion Power: §810\n§7Pistol Range: §870\n§7Void Crator Range: §815\n§7Mobility: §4BUGGED!\n§7Fire Rate: §886%%\n\n§fPrice: §r§2664 Mileage §f& §6270 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_void'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageGunslinger_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n§9Has special traits\n\n§3Description:\n§o§7The Beretta Gunslinger is a transcendent-grade pistol that is capable of performing melee attacks to stun nearby mobs and damage them. Once you have depleted your ammo entirely, a big "BOOM" will arise to assist you in your final moments!\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.\n\n§fPrice: §r§2556 Mileage §f& §6185 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_gunslinger'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}


function pageMakarov_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Bingo\n§9To silence/unsilence, place the Makarov in the crafting grid\n\n§3Description:\n§o§7The Makarov has a detachable silencer that helps your accuracy and makes you stealthy.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.')
    formPistols.button('Okay', 'textures/ui/lol2') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageMauser_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Crafting\n\n§3Description:\n§o§7The Mauser C96 is a machine pistol. It has low recoil and is quite easy to handle, but the velocity and damage is absurd.\n\n§r§cStats:\n§7Damage: §87\n§7Range: §870\n§7Mobility: §83.79 M/S | 4.93 M/S\n§7Fire Rate: §895%% (Auto)\n\n§fPrice: §r§296 Mileage §f& §639 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_mauser'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageAutomag_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Crafting\n\n§3Description:\n§o§7The Automag is a semi-automatic pistol that`s similar to the Desert-Eagle - with lower damage, and higher accuracy, similar to the AKM and AK-47 relationship.\n\n§r§cStats:\n§7Damage: §818\n§7Range: §870\n§7Mobility: §4BUGGED!\n§7Fire Rate: §879%% (Semi)\n\n§fPrice: §r§2300 Mileage §f& §6150 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_automag'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}


function pageDeagle_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§6Variants or Editions available\n§r§bFound in Decoders, Structures & Crafting\n\n§3Description:\n§o§7The Desert Eagle is a high caliber pistol fed with 7 rounds of high-damaging bullets. Although it has low magazine size and low fire rate, it does higher damage than most pistols and has good accuracy for first few shots. Thus, its reload time is very short.\n\n§r§cStats:\n§7Damage: §820\n§7Range: §870\n§7Mobility: §83.66 M/S | 4.77 M/S\n§7Fire Rate: §877%% (Semi)\n\n§fPrice: §r§2380 Mileage §f& §6100 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_deagle'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageAnaconda_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Crafting\n§cFirst shot is not accurate\n§cAccuracy is random\n\n§3Description:\n§o§7Anaconda is the definitive middleground between the Desert Eagle and the R8 revolver.\n\n§r§cStats:\n§7Damage: §821\n§7Range: §870\n§7Mobility: §83.66 M/S | 4.77 M/S\n§7Fire Rate: §840%% (Semi)\n\n§fPrice: §r§2380 Mileage §f& §6100 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_anaconda'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}


function pageWelrod_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Crafting\n\n§3Description:\n§o§7The Welrod is a pistol that has low recoil and is quite easy to handle, but the rate of fire is rather slow.\n\n§r§cStats:\n§7Damage: §818\n§7Range: §870\n§7Mobility: §4BUGGED!\n§7Fire Rate: §8N/A\n\n§fPrice: §r§2172 Mileage §f& §670 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_welrod'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageR8_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Crafting\n§9Same recoil at all times\n§cHas trigger-pull mechanic\n\n§3Description:\n§o§7The R8 Revolver delivers a highly accurate and powerful round at the expense of a lengthy trigger-pull.\n\n§r§cStats:\n§7Damage: §837\n§7Range: §870\n§7Mobility: §83.62 M/S | 4.71 M/S\n§7Fire Rate: §8Pull for 0.3 seconds\n\n§fPrice: §r§2284 Mileage §f& §6160 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_r8'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageDesperado_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n§9To switch to knockback/stun, simply hit anything\n\n§3Description:\n§o§7Two upgraded Pythons that can switch between stun or knockback. Which one?\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.\n\n§fPrice: §r§2490 Mileage §f& §6300 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_desperado'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageGlock_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§6Variants or Editions available\n§r§bFound in Decoders, Structures & Crafting\n§9To semi/burst, simply hit ground/air\n§9Has no recoil\n\n§3Description\n§o§7The Glock or simply G18C is a Austrian made semi pistol in the Counter-Strike series that is capable of semi-auto shots or 3 bursts.\n\n§r§cStats\n§7Damage: §810 (Semi) | 15 (Burst)\n§7Range: §870\n§7Mobility: §83.92 M/S | 5.10 M/S\n§7Reload: §82.0s\n§7Accurate Range: §833m (Semi) | 40m (Burst)\n§7Fire Rate: §8261 RPM (Semi) | §8316 RPM (Burst)\n\n§fPrice: §r§290 Mileage §f& §660 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_glock'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageLuger_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Crafting\n\n§3Description:\n§o§7The Pistole Modell 1908 or simply P08 is a German-empire made pistol in Counter-Strike Online.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.\n\n§fPrice: §r§2104 Mileage §f& §685 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_luger'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}


function pageFiveSeven_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Crafting\n§cLess damage whilst airborne\n§cBullet offset increases whilst unseaking or moving\n\n§3Description:\n§o§7The FN Five-SeveN or simply FS is a semi-automatic pistol with a high magazine count, but lacks the accuracy that other pistols have.\n\n§r§cStats:\n§7Damage: §817, 14 (airborne)\n§7Range: §870\n§7Mobility: §4BUGGED!\n§7Fire Rate: §887%% (Semi)\n\n§fPrice: §r§2200 Mileage §f& §6145 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_fiveseven'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageM1911_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Crafting\n§cHas damage drop-off at long distances\n\n§r§3Description:\n§o§7America`s greatest invention (probably), also known as the M1911, is a pistol that has extremely low recoil, high damage, and medium accuracy. Try shooting whilst sneaking to give yourself more velocity to negate damage drop-off.\n\n§r§cStats:\n§7Damage: §816 - 12 - 8 (drop-off)\n§7Range: §81280\n§7Mobility: §83.71 M/S | 4.82 M/S\n§7Fire Rate: §882%% (Semi)\n\n§fPrice: §r§2148 Mileage §f& §6135 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_m1911'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}